/************************************************************************
 *									*
 *		`bdr@r^f@botvO			*
 *									*
 *				: qnlf[^				*
 *		t@C	: romdata.c				*
 *									*
 ************************************************************************/
#pragma	SECTION DATA=romdata

#include "sg_cpu.h"

/*	fobOtO	*/
short	debug_flag = DBF_ROMCHECK | DBF_RAMCHECK | DBF_DUSTART |
			/*DBF_1553B |*/ DBF_DEBUGMODE | DBF_IBIT;

/*	PUif[^	*/
char	hex[] = "0123456789ABCDEF";

/*	rbgʒue[u	*/
ushort	bit_tbl[16] = {
	0x0001, 0x0002, 0x0004, 0x0008, 0x0010, 0x0020, 0x0040, 0x0080,
	0x0100, 0x0200, 0x0400, 0x0800, 0x1000, 0x2000, 0x4000, 0x8000
};

/*	tHgUe[u	*/
short	font6_tbl[16] = {
	FONT6_0, FONT6_1, FONT6_2, FONT6_3, FONT6_4,
	FONT6_5, FONT6_6, FONT6_7, FONT6_8, FONT6_9,
	FONT6_A, FONT6_B, FONT6_C, FONT6_D, FONT6_E,
	FONT6_F
};

/*	tHgVe[u	*/
short	font7_tbl[16] = {
	FONT7_0, FONT7_1, FONT7_2, FONT7_3, FONT7_4,
	FONT7_5, FONT7_6, FONT7_7, FONT7_8, FONT7_9,
	FONT7_A, FONT7_B, FONT7_C, FONT7_D, FONT7_E,
	FONT7_F
};

/*	tHgWe[u	*/
short	font8_tbl[16] = {
	FONT8_0, FONT8_1, FONT8_2, FONT8_3, FONT8_4,
	FONT8_5, FONT8_6, FONT8_7, FONT8_8, FONT8_9,
	FONT8_A, FONT8_B, FONT8_C, FONT8_D, FONT8_E,
	FONT8_F
};

/*	tHgULN^e[u	*/
short	font6_code[256] = {
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 00 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 04 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 08 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 0c */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 10 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 14 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 18 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 1c */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 20 */
	FONT6_SP, FONT6_12, FONT6_22, FONT6_SP,		/* 24 */
	FONT6_14, FONT6_15, FONT6_16, FONT6_03,		/* 28 */
	FONT6_SP, FONT6_04, FONT6_01, FONT6_07,		/* 2c */
	FONT6_0,  FONT6_1,  FONT6_2,  FONT6_3,		/* 30 */
	FONT6_4,  FONT6_5,  FONT6_6,  FONT6_7,		/* 34 */
	FONT6_8,  FONT6_9,  FONT6_23, FONT6_SP,		/* 38 */
	FONT6_21, FONT6_19, FONT6_20, FONT6_SP,		/* 3c */
	FONT6_SP, FONT6_A,  FONT6_B,  FONT6_C,		/* 40 */
	FONT6_D,  FONT6_E,  FONT6_F,  FONT6_G,		/* 44 */
	FONT6_H,  FONT6_I,  FONT6_J,  FONT6_K,		/* 48 */
	FONT6_L,  FONT6_M,  FONT6_N,  FONT6_O,		/* 4c */
	FONT6_P,  FONT6_Q,  FONT6_R,  FONT6_S,		/* 50 */
	FONT6_T,  FONT6_U,  FONT6_V,  FONT6_W,		/* 54 */
	FONT6_X,  FONT6_Y,  FONT6_Z,  FONT6_SP,		/* 58 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_13,		/* 5c */
	FONT6_40, FONT6_SP, FONT6_SP, FONT6_34,		/* 60 */
	FONT6_SP, FONT6_SP, FONT6_41, FONT6_42,		/* 64 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 68 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 6c */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 70 */
	FONT6_30, FONT6_SP, FONT6_SP, FONT6_SP,		/* 74 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 78 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 7c */
	FONT6_31, FONT6_32, FONT6_33, FONT6_43,		/* 80 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 84 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 88 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 8c */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 90 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 94 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 98 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* 9c */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* a0 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* a4 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* a8 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* ac */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* b0 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* b4 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* b8 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* bc */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* c0 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* c4 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* c8 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* cc */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* d0 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* d4 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* d8 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* dc */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* e0 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* e4 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* e8 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* ec */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* f0 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* f4 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* f8 */
	FONT6_SP, FONT6_SP, FONT6_SP, FONT6_SP,		/* fc */
};

/*	tHgVLN^e[u	*/
short	font7_code[256] = {
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 00 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 04 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 08 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 0c */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 10 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 14 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 18 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 1c */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 20 */
	FONT7_SP, FONT7_12, FONT7_22, FONT7_SP,		/* 24 */
	FONT7_14, FONT7_15, FONT7_16, FONT7_03,		/* 28 */
	FONT7_SP, FONT7_04, FONT7_01, FONT7_07,		/* 2c */
	FONT7_0,  FONT7_1,  FONT7_2,  FONT7_3,		/* 30 */
	FONT7_4,  FONT7_5,  FONT7_6,  FONT7_7,		/* 34 */
	FONT7_8,  FONT7_9,  FONT7_23, FONT7_SP,		/* 38 */
	FONT7_21, FONT7_19, FONT7_20, FONT7_SP,		/* 3c */
	FONT7_SP, FONT7_A,  FONT7_B,  FONT7_C,		/* 40 */
	FONT7_D,  FONT7_E,  FONT7_F,  FONT7_G,		/* 44 */
	FONT7_H,  FONT7_I,  FONT7_J,  FONT7_K,		/* 48 */
	FONT7_L,  FONT7_M,  FONT7_N,  FONT7_O,		/* 4c */
	FONT7_P,  FONT7_Q,  FONT7_R,  FONT7_S,		/* 50 */
	FONT7_T,  FONT7_U,  FONT7_V,  FONT7_W,		/* 54 */
	FONT7_X,  FONT7_Y,  FONT7_Z,  FONT7_SP,		/* 58 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_13,		/* 5c */
	FONT7_40, FONT7_SP, FONT7_SP, FONT7_34,		/* 60 */
	FONT7_SP, FONT7_SP, FONT7_41, FONT7_42,		/* 64 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 68 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 6c */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 70 */
	FONT7_30, FONT7_SP, FONT7_SP, FONT7_SP,		/* 74 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 78 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 7c */
	FONT7_31, FONT7_32, FONT7_33, FONT7_43,		/* 80 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 84 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 88 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 8c */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 90 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 94 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 98 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* 9c */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* a0 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* a4 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* a8 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* ac */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* b0 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* b4 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* b8 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* bc */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* c0 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* c4 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* c8 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* cc */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* d0 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* d4 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* d8 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* dc */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* e0 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* e4 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* e8 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* ec */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* f0 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* f4 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* f8 */
	FONT7_SP, FONT7_SP, FONT7_SP, FONT7_SP,		/* fc */
};

/*	tHgWLN^e[u	*/
short	font8_code[256] = {
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 00 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 04 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 08 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 0c */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 10 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 14 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 18 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 1c */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 20 */
	FONT8_SP, FONT8_12, FONT8_22, FONT8_SP,		/* 24 */
	FONT8_14, FONT8_15, FONT8_16, FONT8_03,		/* 28 */
	FONT8_SP, FONT8_04, FONT8_01, FONT8_07,		/* 2c */
	FONT8_0,  FONT8_1,  FONT8_2,  FONT8_3,		/* 30 */
	FONT8_4,  FONT8_5,  FONT8_6,  FONT8_7,		/* 34 */
	FONT8_8,  FONT8_9,  FONT8_23, FONT8_SP,		/* 38 */
	FONT8_21, FONT8_19, FONT8_20, FONT8_SP,		/* 3c */
	FONT8_SP, FONT8_A,  FONT8_B,  FONT8_C,		/* 40 */
	FONT8_D,  FONT8_E,  FONT8_F,  FONT8_G,		/* 44 */
	FONT8_H,  FONT8_I,  FONT8_J,  FONT8_K,		/* 48 */
	FONT8_L,  FONT8_M,  FONT8_N,  FONT8_O,		/* 4c */
	FONT8_P,  FONT8_Q,  FONT8_R,  FONT8_S,		/* 50 */
	FONT8_T,  FONT8_U,  FONT8_V,  FONT8_W,		/* 54 */
	FONT8_X,  FONT8_Y,  FONT8_Z,  FONT8_SP,		/* 58 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_13,		/* 5c */
	FONT8_40, FONT8_SP, FONT8_SP, FONT8_34,		/* 60 */
	FONT8_SP, FONT8_SP, FONT8_41, FONT8_42,		/* 64 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 68 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 6c */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 70 */
	FONT8_30, FONT8_SP, FONT8_SP, FONT8_SP,		/* 74 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 78 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 7c */
	FONT8_31, FONT8_32, FONT8_33, FONT8_43,		/* 80 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 84 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 88 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 8c */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 90 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 94 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 98 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* 9c */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* a0 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* a4 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* a8 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* ac */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* b0 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* b4 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* b8 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* bc */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* c0 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* c4 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* c8 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* cc */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* d0 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* d4 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* d8 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* dc */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* e0 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* e4 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* e8 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* ec */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* f0 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* f4 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* f8 */
	FONT8_SP, FONT8_SP, FONT8_SP, FONT8_SP,		/* fc */
};

/*	J[R[hϊe[u	*/
short	color_tbl[16] = {
	COLOR_BLACK,  COLOR_BLUE,   COLOR_RED1,   COLOR_MAGENTA,
	COLOR_BROWN,  COLOR_ORANGE, COLOR_AMBER,  COLOR_CYAN,
	COLOR_GREEN1, COLOR_GREEN2, COLOR_GREEN3, COLOR_GREEN4,
	COLOR_YELLOW, COLOR_RED2,   COLOR_WHITE2, COLOR_WHITE1
};

/*	rhmf[^e[u	*/
short	sin_tbl[] = {
	0x0000,	0x000d,	0x0019,	0x0026,	0x0032,	0x003f,	0x004b,	0x0058,
	0x0065,	0x0071,	0x007e,	0x008a,	0x0097,	0x00a3,	0x00b0,	0x00bc,
	0x00c9,	0x00d6,	0x00e2,	0x00ef,	0x00fb,	0x0108,	0x0114,	0x0121,
	0x012e,	0x013a,	0x0147,	0x0153,	0x0160,	0x016c,	0x0179,	0x0186,
	0x0192,	0x019f,	0x01ab,	0x01b8,	0x01c4,	0x01d1,	0x01dd,	0x01ea,
	0x01f7,	0x0203,	0x0210,	0x021c,	0x0229,	0x0235,	0x0242,	0x024e,
	0x025b,	0x0268,	0x0274,	0x0281,	0x028d,	0x029a,	0x02a6,	0x02b3,
	0x02c0,	0x02cc,	0x02d9,	0x02e5,	0x02f2,	0x02fe,	0x030b,	0x0317,
	0x0324,	0x0330,	0x033d,	0x034a,	0x0356,	0x0363,	0x036f,	0x037c,
	0x0388,	0x0395,	0x03a1,	0x03ae,	0x03bb,	0x03c7,	0x03d4,	0x03e0,
	0x03ed,	0x03f9,	0x0406,	0x0412,	0x041f,	0x042b,	0x0438,	0x0444,
	0x0451,	0x045e,	0x046a,	0x0477,	0x0483,	0x0490,	0x049c,	0x04a9,
	0x04b5,	0x04c2,	0x04ce,	0x04db,	0x04e7,	0x04f4,	0x0500,	0x050d,
	0x051a,	0x0526,	0x0533,	0x053f,	0x054c,	0x0558,	0x0565,	0x0571,
	0x057e,	0x058a,	0x0597,	0x05a3,	0x05b0,	0x05bc,	0x05c9,	0x05d5,
	0x05e2,	0x05ee,	0x05fb,	0x0607,	0x0614,	0x0620,	0x062d,	0x0639,
	0x0646,	0x0652,	0x065f,	0x066b,	0x0678,	0x0684,	0x0691,	0x069d,
	0x06aa,	0x06b6,	0x06c3,	0x06cf,	0x06dc,	0x06e8,	0x06f5,	0x0701,
	0x070e,	0x071a,	0x0727,	0x0733,	0x0740,	0x074c,	0x0759,	0x0765,
	0x0772,	0x077e,	0x078b,	0x0797,	0x07a4,	0x07b0,	0x07bd,	0x07c9,
	0x07d6,	0x07e2,	0x07ef,	0x07fb,	0x0807,	0x0814,	0x0820,	0x082d,
	0x0839,	0x0846,	0x0852,	0x085f,	0x086b,	0x0878,	0x0884,	0x0891,
	0x089d,	0x08a9,	0x08b6,	0x08c2,	0x08cf,	0x08db,	0x08e8,	0x08f4,
	0x0901,	0x090d,	0x0919,	0x0926,	0x0932,	0x093f,	0x094b,	0x0958,
	0x0964,	0x0970,	0x097d,	0x0989,	0x0996,	0x09a2,	0x09af,	0x09bb,
	0x09c7,	0x09d4,	0x09e0,	0x09ed,	0x09f9,	0x0a06,	0x0a12,	0x0a1e,
	0x0a2b,	0x0a37,	0x0a44,	0x0a50,	0x0a5c,	0x0a69,	0x0a75,	0x0a82,
	0x0a8e,	0x0a9a,	0x0aa7,	0x0ab3,	0x0ac0,	0x0acc,	0x0ad8,	0x0ae5,
	0x0af1,	0x0afd,	0x0b0a,	0x0b16,	0x0b23,	0x0b2f,	0x0b3b,	0x0b48,
	0x0b54,	0x0b60,	0x0b6d,	0x0b79,	0x0b85,	0x0b92,	0x0b9e,	0x0bab,
	0x0bb7,	0x0bc3,	0x0bd0,	0x0bdc,	0x0be8,	0x0bf5,	0x0c01,	0x0c0d,
	0x0c1a,	0x0c26,	0x0c32,	0x0c3f,	0x0c4b,	0x0c57,	0x0c64,	0x0c70,
	0x0c7c,	0x0c89,	0x0c95,	0x0ca1,	0x0cae,	0x0cba,	0x0cc6,	0x0cd3,
	0x0cdf,	0x0ceb,	0x0cf8,	0x0d04,	0x0d10,	0x0d1c,	0x0d29,	0x0d35,
	0x0d41,	0x0d4e,	0x0d5a,	0x0d66,	0x0d72,	0x0d7f,	0x0d8b,	0x0d97,
	0x0da4,	0x0db0,	0x0dbc,	0x0dc8,	0x0dd5,	0x0de1,	0x0ded,	0x0df9,
	0x0e06,	0x0e12,	0x0e1e,	0x0e2b,	0x0e37,	0x0e43,	0x0e4f,	0x0e5c,
	0x0e68,	0x0e74,	0x0e80,	0x0e8c,	0x0e99,	0x0ea5,	0x0eb1,	0x0ebd,
	0x0eca,	0x0ed6,	0x0ee2,	0x0eee,	0x0efb,	0x0f07,	0x0f13,	0x0f1f,
	0x0f2b,	0x0f38,	0x0f44,	0x0f50,	0x0f5c,	0x0f68,	0x0f75,	0x0f81,
	0x0f8d,	0x0f99,	0x0fa5,	0x0fb2,	0x0fbe,	0x0fca,	0x0fd6,	0x0fe2,
	0x0fee,	0x0ffb,	0x1007,	0x1013,	0x101f,	0x102b,	0x1037,	0x1044,
	0x1050,	0x105c,	0x1068,	0x1074,	0x1080,	0x108c,	0x1099,	0x10a5,
	0x10b1,	0x10bd,	0x10c9,	0x10d5,	0x10e1,	0x10ed,	0x10fa,	0x1106,
	0x1112,	0x111e,	0x112a,	0x1136,	0x1142,	0x114e,	0x115a,	0x1167,
	0x1173,	0x117f,	0x118b,	0x1197,	0x11a3,	0x11af,	0x11bb,	0x11c7,
	0x11d3,	0x11df,	0x11eb,	0x11f7,	0x1204,	0x1210,	0x121c,	0x1228,
	0x1234,	0x1240,	0x124c,	0x1258,	0x1264,	0x1270,	0x127c,	0x1288,
	0x1294,	0x12a0,	0x12ac,	0x12b8,	0x12c4,	0x12d0,	0x12dc,	0x12e8,
	0x12f4,	0x1300,	0x130c,	0x1318,	0x1324,	0x1330,	0x133c,	0x1348,
	0x1354,	0x1360,	0x136c,	0x1378,	0x1384,	0x1390,	0x139c,	0x13a8,
	0x13b4,	0x13c0,	0x13cc,	0x13d8,	0x13e4,	0x13f0,	0x13fb,	0x1407,
	0x1413,	0x141f,	0x142b,	0x1437,	0x1443,	0x144f,	0x145b,	0x1467,
	0x1473,	0x147f,	0x148b,	0x1496,	0x14a2,	0x14ae,	0x14ba,	0x14c6,
	0x14d2,	0x14de,	0x14ea,	0x14f6,	0x1501,	0x150d,	0x1519,	0x1525,
	0x1531,	0x153d,	0x1549,	0x1554,	0x1560,	0x156c,	0x1578,	0x1584,
	0x1590,	0x159b,	0x15a7,	0x15b3,	0x15bf,	0x15cb,	0x15d7,	0x15e2,
	0x15ee,	0x15fa,	0x1606,	0x1612,	0x161d,	0x1629,	0x1635,	0x1641,
	0x164c,	0x1658,	0x1664,	0x1670,	0x167c,	0x1687,	0x1693,	0x169f,
	0x16ab,	0x16b6,	0x16c2,	0x16ce,	0x16da,	0x16e5,	0x16f1,	0x16fd,
	0x1709,	0x1714,	0x1720,	0x172c,	0x1737,	0x1743,	0x174f,	0x175b,
	0x1766,	0x1772,	0x177e,	0x1789,	0x1795,	0x17a1,	0x17ac,	0x17b8,
	0x17c4,	0x17cf,	0x17db,	0x17e7,	0x17f2,	0x17fe,	0x180a,	0x1815,
	0x1821,	0x182d,	0x1838,	0x1844,	0x184f,	0x185b,	0x1867,	0x1872,
	0x187e,	0x1889,	0x1895,	0x18a1,	0x18ac,	0x18b8,	0x18c3,	0x18cf,
	0x18db,	0x18e6,	0x18f2,	0x18fd,	0x1909,	0x1914,	0x1920,	0x192c,
	0x1937,	0x1943,	0x194e,	0x195a,	0x1965,	0x1971,	0x197c,	0x1988,
	0x1993,	0x199f,	0x19aa,	0x19b6,	0x19c1,	0x19cd,	0x19d8,	0x19e4,
	0x19ef,	0x19fb,	0x1a06,	0x1a12,	0x1a1d,	0x1a29,	0x1a34,	0x1a40,
	0x1a4b,	0x1a57,	0x1a62,	0x1a6e,	0x1a79,	0x1a84,	0x1a90,	0x1a9b,
	0x1aa7,	0x1ab2,	0x1abe,	0x1ac9,	0x1ad4,	0x1ae0,	0x1aeb,	0x1af7,
	0x1b02,	0x1b0d,	0x1b19,	0x1b24,	0x1b30,	0x1b3b,	0x1b46,	0x1b52,
	0x1b5d,	0x1b68,	0x1b74,	0x1b7f,	0x1b8a,	0x1b96,	0x1ba1,	0x1bac,
	0x1bb8,	0x1bc3,	0x1bce,	0x1bda,	0x1be5,	0x1bf0,	0x1bfc,	0x1c07,
	0x1c12,	0x1c1e,	0x1c29,	0x1c34,	0x1c3f,	0x1c4b,	0x1c56,	0x1c61,
	0x1c6c,	0x1c78,	0x1c83,	0x1c8e,	0x1c99,	0x1ca5,	0x1cb0,	0x1cbb,
	0x1cc6,	0x1cd2,	0x1cdd,	0x1ce8,	0x1cf3,	0x1cff,	0x1d0a,	0x1d15,
	0x1d20,	0x1d2b,	0x1d36,	0x1d42,	0x1d4d,	0x1d58,	0x1d63,	0x1d6e,
	0x1d79,	0x1d85,	0x1d90,	0x1d9b,	0x1da6,	0x1db1,	0x1dbc,	0x1dc7,
	0x1dd3,	0x1dde,	0x1de9,	0x1df4,	0x1dff,	0x1e0a,	0x1e15,	0x1e20,
	0x1e2b,	0x1e36,	0x1e42,	0x1e4d,	0x1e58,	0x1e63,	0x1e6e,	0x1e79,
	0x1e84,	0x1e8f,	0x1e9a,	0x1ea5,	0x1eb0,	0x1ebb,	0x1ec6,	0x1ed1,
	0x1edc,	0x1ee7,	0x1ef2,	0x1efd,	0x1f08,	0x1f13,	0x1f1e,	0x1f29,
	0x1f34,	0x1f3f,	0x1f4a,	0x1f55,	0x1f60,	0x1f6b,	0x1f76,	0x1f81,
	0x1f8c,	0x1f97,	0x1fa2,	0x1fac,	0x1fb7,	0x1fc2,	0x1fcd,	0x1fd8,
	0x1fe3,	0x1fee,	0x1ff9,	0x2004,	0x200f,	0x2019,	0x2024,	0x202f,
	0x203a,	0x2045,	0x2050,	0x205b,	0x2065,	0x2070,	0x207b,	0x2086,
	0x2091,	0x209b,	0x20a6,	0x20b1,	0x20bc,	0x20c7,	0x20d1,	0x20dc,
	0x20e7,	0x20f2,	0x20fd,	0x2107,	0x2112,	0x211d,	0x2128,	0x2132,
	0x213d,	0x2148,	0x2153,	0x215d,	0x2168,	0x2173,	0x217d,	0x2188,
	0x2193,	0x219e,	0x21a8,	0x21b3,	0x21be,	0x21c8,	0x21d3,	0x21de,
	0x21e8,	0x21f3,	0x21fe,	0x2208,	0x2213,	0x221e,	0x2228,	0x2233,
	0x223d,	0x2248,	0x2253,	0x225d,	0x2268,	0x2272,	0x227d,	0x2288,
	0x2292,	0x229d,	0x22a7,	0x22b2,	0x22bc,	0x22c7,	0x22d2,	0x22dc,
	0x22e7,	0x22f1,	0x22fc,	0x2306,	0x2311,	0x231b,	0x2326,	0x2330,
	0x233b,	0x2345,	0x2350,	0x235a,	0x2365,	0x236f,	0x237a,	0x2384,
	0x238e,	0x2399,	0x23a3,	0x23ae,	0x23b8,	0x23c3,	0x23cd,	0x23d7,
	0x23e2,	0x23ec,	0x23f7,	0x2401,	0x240b,	0x2416,	0x2420,	0x242b,
	0x2435,	0x243f,	0x244a,	0x2454,	0x245e,	0x2469,	0x2473,	0x247d,
	0x2488,	0x2492,	0x249c,	0x24a7,	0x24b1,	0x24bb,	0x24c5,	0x24d0,
	0x24da,	0x24e4,	0x24ef,	0x24f9,	0x2503,	0x250d,	0x2518,	0x2522,
	0x252c,	0x2536,	0x2541,	0x254b,	0x2555,	0x255f,	0x2569,	0x2574,
	0x257e,	0x2588,	0x2592,	0x259c,	0x25a6,	0x25b1,	0x25bb,	0x25c5,
	0x25cf,	0x25d9,	0x25e3,	0x25ed,	0x25f8,	0x2602,	0x260c,	0x2616,
	0x2620,	0x262a,	0x2634,	0x263e,	0x2648,	0x2652,	0x265c,	0x2666,
	0x2671,	0x267b,	0x2685,	0x268f,	0x2699,	0x26a3,	0x26ad,	0x26b7,
	0x26c1,	0x26cb,	0x26d5,	0x26df,	0x26e9,	0x26f3,	0x26fd,	0x2707,
	0x2711,	0x271a,	0x2724,	0x272e,	0x2738,	0x2742,	0x274c,	0x2756,
	0x2760,	0x276a,	0x2774,	0x277e,	0x2788,	0x2791,	0x279b,	0x27a5,
	0x27af,	0x27b9,	0x27c3,	0x27cd,	0x27d6,	0x27e0,	0x27ea,	0x27f4,
	0x27fe,	0x2808,	0x2811,	0x281b,	0x2825,	0x282f,	0x2838,	0x2842,
	0x284c,	0x2856,	0x2860,	0x2869,	0x2873,	0x287d,	0x2886,	0x2890,
	0x289a,	0x28a4,	0x28ad,	0x28b7,	0x28c1,	0x28ca,	0x28d4,	0x28de,
	0x28e7,	0x28f1,	0x28fb,	0x2904,	0x290e,	0x2918,	0x2921,	0x292b,
	0x2935,	0x293e,	0x2948,	0x2951,	0x295b,	0x2965,	0x296e,	0x2978,
	0x2981,	0x298b,	0x2994,	0x299e,	0x29a7,	0x29b1,	0x29bb,	0x29c4,
	0x29ce,	0x29d7,	0x29e1,	0x29ea,	0x29f4,	0x29fd,	0x2a07,	0x2a10,
	0x2a1a,	0x2a23,	0x2a2c,	0x2a36,	0x2a3f,	0x2a49,	0x2a52,	0x2a5c,
	0x2a65,	0x2a6e,	0x2a78,	0x2a81,	0x2a8b,	0x2a94,	0x2a9d,	0x2aa7,
	0x2ab0,	0x2ab9,	0x2ac3,	0x2acc,	0x2ad6,	0x2adf,	0x2ae8,	0x2af2,
	0x2afb,	0x2b04,	0x2b0d,	0x2b17,	0x2b20,	0x2b29,	0x2b33,	0x2b3c,
	0x2b45,	0x2b4e,	0x2b58,	0x2b61,	0x2b6a,	0x2b73,	0x2b7d,	0x2b86,
	0x2b8f,	0x2b98,	0x2ba1,	0x2bab,	0x2bb4,	0x2bbd,	0x2bc6,	0x2bcf,
	0x2bd8,	0x2be2,	0x2beb,	0x2bf4,	0x2bfd,	0x2c06,	0x2c0f,	0x2c18,
	0x2c21,	0x2c2b,	0x2c34,	0x2c3d,	0x2c46,	0x2c4f,	0x2c58,	0x2c61,
	0x2c6a,	0x2c73,	0x2c7c,	0x2c85,	0x2c8e,	0x2c97,	0x2ca0,	0x2ca9,
	0x2cb2,	0x2cbb,	0x2cc4,	0x2ccd,	0x2cd6,	0x2cdf,	0x2ce8,	0x2cf1,
	0x2cfa,	0x2d03,	0x2d0c,	0x2d15,	0x2d1e,	0x2d27,	0x2d2f,	0x2d38,
	0x2d41,	0x2d4a,	0x2d53,	0x2d5c,	0x2d65,	0x2d6e,	0x2d76,	0x2d7f,
	0x2d88,	0x2d91,	0x2d9a,	0x2da3,	0x2dab,	0x2db4,	0x2dbd,	0x2dc6,
	0x2dcf,	0x2dd7,	0x2de0,	0x2de9,	0x2df2,	0x2dfa,	0x2e03,	0x2e0c,
	0x2e15,	0x2e1d,	0x2e26,	0x2e2f,	0x2e37,	0x2e40,	0x2e49,	0x2e51,
	0x2e5a,	0x2e63,	0x2e6b,	0x2e74,	0x2e7d,	0x2e85,	0x2e8e,	0x2e97,
	0x2e9f,	0x2ea8,	0x2eb0,	0x2eb9,	0x2ec2,	0x2eca,	0x2ed3,	0x2edb,
	0x2ee4,	0x2eec,	0x2ef5,	0x2efd,	0x2f06,	0x2f0e,	0x2f17,	0x2f20,
	0x2f28,	0x2f30,	0x2f39,	0x2f41,	0x2f4a,	0x2f52,	0x2f5b,	0x2f63,
	0x2f6c,	0x2f74,	0x2f7d,	0x2f85,	0x2f8d,	0x2f96,	0x2f9e,	0x2fa7,
	0x2faf,	0x2fb7,	0x2fc0,	0x2fc8,	0x2fd0,	0x2fd9,	0x2fe1,	0x2fea,
	0x2ff2,	0x2ffa,	0x3002,	0x300b,	0x3013,	0x301b,	0x3024,	0x302c,
	0x3034,	0x303c,	0x3045,	0x304d,	0x3055,	0x305d,	0x3066,	0x306e,
	0x3076,	0x307e,	0x3087,	0x308f,	0x3097,	0x309f,	0x30a7,	0x30af,
	0x30b8,	0x30c0,	0x30c8,	0x30d0,	0x30d8,	0x30e0,	0x30e8,	0x30f0,
	0x30f9,	0x3101,	0x3109,	0x3111,	0x3119,	0x3121,	0x3129,	0x3131,
	0x3139,	0x3141,	0x3149,	0x3151,	0x3159,	0x3161,	0x3169,	0x3171,
	0x3179,	0x3181,	0x3189,	0x3191,	0x3199,	0x31a1,	0x31a9,	0x31b1,
	0x31b9,	0x31c0,	0x31c8,	0x31d0,	0x31d8,	0x31e0,	0x31e8,	0x31f0,
	0x31f8,	0x31ff,	0x3207,	0x320f,	0x3217,	0x321f,	0x3227,	0x322e,
	0x3236,	0x323e,	0x3246,	0x324e,	0x3255,	0x325d,	0x3265,	0x326d,
	0x3274,	0x327c,	0x3284,	0x328b,	0x3293,	0x329b,	0x32a3,	0x32aa,
	0x32b2,	0x32ba,	0x32c1,	0x32c9,	0x32d0,	0x32d8,	0x32e0,	0x32e7,
	0x32ef,	0x32f7,	0x32fe,	0x3306,	0x330d,	0x3315,	0x331d,	0x3324,
	0x332c,	0x3333,	0x333b,	0x3342,	0x334a,	0x3351,	0x3359,	0x3360,
	0x3368,	0x336f,	0x3377,	0x337e,	0x3386,	0x338d,	0x3395,	0x339c,
	0x33a3,	0x33ab,	0x33b2,	0x33ba,	0x33c1,	0x33c8,	0x33d0,	0x33d7,
	0x33df,	0x33e6,	0x33ed,	0x33f5,	0x33fc,	0x3403,	0x340b,	0x3412,
	0x3419,	0x3420,	0x3428,	0x342f,	0x3436,	0x343e,	0x3445,	0x344c,
	0x3453,	0x345b,	0x3462,	0x3469,	0x3470,	0x3477,	0x347f,	0x3486,
	0x348d,	0x3494,	0x349b,	0x34a2,	0x34aa,	0x34b1,	0x34b8,	0x34bf,
	0x34c6,	0x34cd,	0x34d4,	0x34db,	0x34e2,	0x34ea,	0x34f1,	0x34f8,
	0x34ff,	0x3506,	0x350d,	0x3514,	0x351b,	0x3522,	0x3529,	0x3530,
	0x3537,	0x353e,	0x3545,	0x354c,	0x3553,	0x355a,	0x3561,	0x3567,
	0x356e,	0x3575,	0x357c,	0x3583,	0x358a,	0x3591,	0x3598,	0x359f,
	0x35a5,	0x35ac,	0x35b3,	0x35ba,	0x35c1,	0x35c8,	0x35ce,	0x35d5,
	0x35dc,	0x35e3,	0x35ea,	0x35f0,	0x35f7,	0x35fe,	0x3605,	0x360b,
	0x3612,	0x3619,	0x3620,	0x3626,	0x362d,	0x3634,	0x363a,	0x3641,
	0x3648,	0x364e,	0x3655,	0x365c,	0x3662,	0x3669,	0x366f,	0x3676,
	0x367d,	0x3683,	0x368a,	0x3690,	0x3697,	0x369d,	0x36a4,	0x36ab,
	0x36b1,	0x36b8,	0x36be,	0x36c5,	0x36cb,	0x36d2,	0x36d8,	0x36df,
	0x36e5,	0x36eb,	0x36f2,	0x36f8,	0x36ff,	0x3705,	0x370c,	0x3712,
	0x3718,	0x371f,	0x3725,	0x372c,	0x3732,	0x3738,	0x373f,	0x3745,
	0x374b,	0x3752,	0x3758,	0x375e,	0x3765,	0x376b,	0x3771,	0x3777,
	0x377e,	0x3784,	0x378a,	0x3790,	0x3797,	0x379d,	0x37a3,	0x37a9,
	0x37b0,	0x37b6,	0x37bc,	0x37c2,	0x37c8,	0x37ce,	0x37d5,	0x37db,
	0x37e1,	0x37e7,	0x37ed,	0x37f3,	0x37f9,	0x37ff,	0x3805,	0x380b,
	0x3812,	0x3818,	0x381e,	0x3824,	0x382a,	0x3830,	0x3836,	0x383c,
	0x3842,	0x3848,	0x384e,	0x3854,	0x385a,	0x3860,	0x3866,	0x386b,
	0x3871,	0x3877,	0x387d,	0x3883,	0x3889,	0x388f,	0x3895,	0x389b,
	0x38a1,	0x38a6,	0x38ac,	0x38b2,	0x38b8,	0x38be,	0x38c3,	0x38c9,
	0x38cf,	0x38d5,	0x38db,	0x38e0,	0x38e6,	0x38ec,	0x38f2,	0x38f7,
	0x38fd,	0x3903,	0x3909,	0x390e,	0x3914,	0x391a,	0x391f,	0x3925,
	0x392b,	0x3930,	0x3936,	0x393b,	0x3941,	0x3947,	0x394c,	0x3952,
	0x3958,	0x395d,	0x3963,	0x3968,	0x396e,	0x3973,	0x3979,	0x397e,
	0x3984,	0x3989,	0x398f,	0x3994,	0x399a,	0x399f,	0x39a5,	0x39aa,
	0x39b0,	0x39b5,	0x39bb,	0x39c0,	0x39c5,	0x39cb,	0x39d0,	0x39d6,
	0x39db,	0x39e0,	0x39e6,	0x39eb,	0x39f0,	0x39f6,	0x39fb,	0x3a00,
	0x3a06,	0x3a0b,	0x3a10,	0x3a16,	0x3a1b,	0x3a20,	0x3a25,	0x3a2b,
	0x3a30,	0x3a35,	0x3a3a,	0x3a3f,	0x3a45,	0x3a4a,	0x3a4f,	0x3a54,
	0x3a59,	0x3a5f,	0x3a64,	0x3a69,	0x3a6e,	0x3a73,	0x3a78,	0x3a7d,
	0x3a82,	0x3a88,	0x3a8d,	0x3a92,	0x3a97,	0x3a9c,	0x3aa1,	0x3aa6,
	0x3aab,	0x3ab0,	0x3ab5,	0x3aba,	0x3abf,	0x3ac4,	0x3ac9,	0x3ace,
	0x3ad3,	0x3ad8,	0x3add,	0x3ae2,	0x3ae6,	0x3aeb,	0x3af0,	0x3af5,
	0x3afa,	0x3aff,	0x3b04,	0x3b09,	0x3b0e,	0x3b12,	0x3b17,	0x3b1c,
	0x3b21,	0x3b26,	0x3b2a,	0x3b2f,	0x3b34,	0x3b39,	0x3b3e,	0x3b42,
	0x3b47,	0x3b4c,	0x3b50,	0x3b55,	0x3b5a,	0x3b5f,	0x3b63,	0x3b68,
	0x3b6d,	0x3b71,	0x3b76,	0x3b7b,	0x3b7f,	0x3b84,	0x3b88,	0x3b8d,
	0x3b92,	0x3b96,	0x3b9b,	0x3b9f,	0x3ba4,	0x3ba9,	0x3bad,	0x3bb2,
	0x3bb6,	0x3bbb,	0x3bbf,	0x3bc4,	0x3bc8,	0x3bcd,	0x3bd1,	0x3bd6,
	0x3bda,	0x3bde,	0x3be3,	0x3be7,	0x3bec,	0x3bf0,	0x3bf5,	0x3bf9,
	0x3bfd,	0x3c02,	0x3c06,	0x3c0a,	0x3c0f,	0x3c13,	0x3c17,	0x3c1c,
	0x3c20,	0x3c24,	0x3c29,	0x3c2d,	0x3c31,	0x3c36,	0x3c3a,	0x3c3e,
	0x3c42,	0x3c46,	0x3c4b,	0x3c4f,	0x3c53,	0x3c57,	0x3c5b,	0x3c60,
	0x3c64,	0x3c68,	0x3c6c,	0x3c70,	0x3c74,	0x3c79,	0x3c7d,	0x3c81,
	0x3c85,	0x3c89,	0x3c8d,	0x3c91,	0x3c95,	0x3c99,	0x3c9d,	0x3ca1,
	0x3ca5,	0x3ca9,	0x3cad,	0x3cb1,	0x3cb5,	0x3cb9,	0x3cbd,	0x3cc1,
	0x3cc5,	0x3cc9,	0x3ccd,	0x3cd1,	0x3cd5,	0x3cd9,	0x3cdd,	0x3ce0,
	0x3ce4,	0x3ce8,	0x3cec,	0x3cf0,	0x3cf4,	0x3cf8,	0x3cfb,	0x3cff,
	0x3d03,	0x3d07,	0x3d0b,	0x3d0e,	0x3d12,	0x3d16,	0x3d1a,	0x3d1d,
	0x3d21,	0x3d25,	0x3d28,	0x3d2c,	0x3d30,	0x3d34,	0x3d37,	0x3d3b,
	0x3d3f,	0x3d42,	0x3d46,	0x3d49,	0x3d4d,	0x3d51,	0x3d54,	0x3d58,
	0x3d5b,	0x3d5f,	0x3d63,	0x3d66,	0x3d6a,	0x3d6d,	0x3d71,	0x3d74,
	0x3d78,	0x3d7b,	0x3d7f,	0x3d82,	0x3d86,	0x3d89,	0x3d8d,	0x3d90,
	0x3d93,	0x3d97,	0x3d9a,	0x3d9e,	0x3da1,	0x3da4,	0x3da8,	0x3dab,
	0x3daf,	0x3db2,	0x3db5,	0x3db9,	0x3dbc,	0x3dbf,	0x3dc2,	0x3dc6,
	0x3dc9,	0x3dcc,	0x3dd0,	0x3dd3,	0x3dd6,	0x3dd9,	0x3ddd,	0x3de0,
	0x3de3,	0x3de6,	0x3de9,	0x3ded,	0x3df0,	0x3df3,	0x3df6,	0x3df9,
	0x3dfc,	0x3dff,	0x3e03,	0x3e06,	0x3e09,	0x3e0c,	0x3e0f,	0x3e12,
	0x3e15,	0x3e18,	0x3e1b,	0x3e1e,	0x3e21,	0x3e24,	0x3e27,	0x3e2a,
	0x3e2d,	0x3e30,	0x3e33,	0x3e36,	0x3e39,	0x3e3c,	0x3e3f,	0x3e42,
	0x3e45,	0x3e48,	0x3e4a,	0x3e4d,	0x3e50,	0x3e53,	0x3e56,	0x3e59,
	0x3e5c,	0x3e5e,	0x3e61,	0x3e64,	0x3e67,	0x3e6a,	0x3e6c,	0x3e6f,
	0x3e72,	0x3e75,	0x3e77,	0x3e7a,	0x3e7d,	0x3e80,	0x3e82,	0x3e85,
	0x3e88,	0x3e8a,	0x3e8d,	0x3e90,	0x3e92,	0x3e95,	0x3e98,	0x3e9a,
	0x3e9d,	0x3e9f,	0x3ea2,	0x3ea5,	0x3ea7,	0x3eaa,	0x3eac,	0x3eaf,
	0x3eb1,	0x3eb4,	0x3eb6,	0x3eb9,	0x3ebb,	0x3ebe,	0x3ec0,	0x3ec3,
	0x3ec5,	0x3ec8,	0x3eca,	0x3ecc,	0x3ecf,	0x3ed1,	0x3ed4,	0x3ed6,
	0x3ed8,	0x3edb,	0x3edd,	0x3ee0,	0x3ee2,	0x3ee4,	0x3ee7,	0x3ee9,
	0x3eeb,	0x3eed,	0x3ef0,	0x3ef2,	0x3ef4,	0x3ef7,	0x3ef9,	0x3efb,
	0x3efd,	0x3f00,	0x3f02,	0x3f04,	0x3f06,	0x3f08,	0x3f0a,	0x3f0d,
	0x3f0f,	0x3f11,	0x3f13,	0x3f15,	0x3f17,	0x3f19,	0x3f1c,	0x3f1e,
	0x3f20,	0x3f22,	0x3f24,	0x3f26,	0x3f28,	0x3f2a,	0x3f2c,	0x3f2e,
	0x3f30,	0x3f32,	0x3f34,	0x3f36,	0x3f38,	0x3f3a,	0x3f3c,	0x3f3e,
	0x3f40,	0x3f42,	0x3f43,	0x3f45,	0x3f47,	0x3f49,	0x3f4b,	0x3f4d,
	0x3f4f,	0x3f51,	0x3f52,	0x3f54,	0x3f56,	0x3f58,	0x3f5a,	0x3f5b,
	0x3f5d,	0x3f5f,	0x3f61,	0x3f62,	0x3f64,	0x3f66,	0x3f68,	0x3f69,
	0x3f6b,	0x3f6d,	0x3f6e,	0x3f70,	0x3f72,	0x3f73,	0x3f75,	0x3f77,
	0x3f78,	0x3f7a,	0x3f7b,	0x3f7d,	0x3f7f,	0x3f80,	0x3f82,	0x3f83,
	0x3f85,	0x3f86,	0x3f88,	0x3f89,	0x3f8b,	0x3f8c,	0x3f8e,	0x3f8f,
	0x3f91,	0x3f92,	0x3f94,	0x3f95,	0x3f97,	0x3f98,	0x3f99,	0x3f9b,
	0x3f9c,	0x3f9e,	0x3f9f,	0x3fa0,	0x3fa2,	0x3fa3,	0x3fa4,	0x3fa6,
	0x3fa7,	0x3fa8,	0x3faa,	0x3fab,	0x3fac,	0x3fad,	0x3faf,	0x3fb0,
	0x3fb1,	0x3fb2,	0x3fb4,	0x3fb5,	0x3fb6,	0x3fb7,	0x3fb8,	0x3fb9,
	0x3fbb,	0x3fbc,	0x3fbd,	0x3fbe,	0x3fbf,	0x3fc0,	0x3fc1,	0x3fc3,
	0x3fc4,	0x3fc5,	0x3fc6,	0x3fc7,	0x3fc8,	0x3fc9,	0x3fca,	0x3fcb,
	0x3fcc,	0x3fcd,	0x3fce,	0x3fcf,	0x3fd0,	0x3fd1,	0x3fd2,	0x3fd3,
	0x3fd4,	0x3fd5,	0x3fd5,	0x3fd6,	0x3fd7,	0x3fd8,	0x3fd9,	0x3fda,
	0x3fdb,	0x3fdc,	0x3fdc,	0x3fdd,	0x3fde,	0x3fdf,	0x3fe0,	0x3fe0,
	0x3fe1,	0x3fe2,	0x3fe3,	0x3fe3,	0x3fe4,	0x3fe5,	0x3fe6,	0x3fe6,
	0x3fe7,	0x3fe8,	0x3fe8,	0x3fe9,	0x3fea,	0x3fea,	0x3feb,	0x3fec,
	0x3fec,	0x3fed,	0x3fed,	0x3fee,	0x3fef,	0x3fef,	0x3ff0,	0x3ff0,
	0x3ff1,	0x3ff1,	0x3ff2,	0x3ff2,	0x3ff3,	0x3ff3,	0x3ff4,	0x3ff4,
	0x3ff5,	0x3ff5,	0x3ff6,	0x3ff6,	0x3ff7,	0x3ff7,	0x3ff7,	0x3ff8,
	0x3ff8,	0x3ff9,	0x3ff9,	0x3ff9,	0x3ffa,	0x3ffa,	0x3ffa,	0x3ffb,
	0x3ffb,	0x3ffb,	0x3ffc,	0x3ffc,	0x3ffc,	0x3ffc,	0x3ffd,	0x3ffd,
	0x3ffd,	0x3ffd,	0x3ffe,	0x3ffe,	0x3ffe,	0x3ffe,	0x3ffe,	0x3fff,
	0x3fff,	0x3fff,	0x3fff,	0x3fff,	0x3fff,	0x3fff,	0x4000,	0x4000,
	0x4000,	0x4000,	0x4000,	0x4000,	0x4000,	0x4000,	0x4000,	0x4000,
	0x4000
};
